classification
Title: Help manuals do not appear in Windows search
Type: enhancement Stage: resolved
Components: Windows Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: ned.deily, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2016-09-22 22:14 by steve.dower, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (3)
msg277240 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-09-22 22:14
On Windows 10, you can't search in the start menu for the HTML Help manuals.

This annoys me so much I'm going to figure out a way fix it :)
msg277241 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-23 00:12
New changeset 45ba976b7064 by Steve Dower in branch '3.5':
Issue #28251: Improvements to help manuals on Windows.
https://hg.python.org/cpython/rev/45ba976b7064

New changeset e703c3a390f7 by Steve Dower in branch '3.6':
Issue #28251: Improvements to help manuals on Windows.
https://hg.python.org/cpython/rev/e703c3a390f7

New changeset 15f82b64eee0 by Steve Dower in branch 'default':
Issue #28251: Improvements to help manuals on Windows.
https://hg.python.org/cpython/rev/15f82b64eee0
msg277242 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-09-23 00:13
Fixed both the installation link and the bad javascript in the chm files. I also changed the changelog link to an internal link for the latest version and external for older versions (otherwise we were going to the web version which has JS that the HTML Help Viewer can't handle).

Open to suggestions for other improvements, but this resolves all the issues I'm currently aware of.
History
Date User Action Args
2017-03-31 16:36:24dstufftsetpull_requests: + pull_request983
2016-10-03 15:59:55steve.dowersetstatus: open -> closed
resolution: fixed
stage: commit review -> resolved
2016-09-23 00:13:49steve.dowersetnosy: + ned.deily

messages: + msg277242
stage: needs patch -> commit review
2016-09-23 00:12:21python-devsetnosy: + python-dev
messages: + msg277241
2016-09-22 22:14:32steve.dowercreate